import { get, uget, post, upost } from '@/http/index'

export const addITEnvFactor = async (data) => {
  return await post('/system/tEnvFactor/addITEnvFactor', data)
}

export const deleteAircaftComponents = async (data) => {
  return await post('/system/tEnvFactor/deleteAircaftComponents', data)
}

export const queryAircaftComponents = async (data) => {
  return await post('/system/tEnvFactor/queryAircaftComponents', data)
}

export const updateAircaftComponents = async (data) => {
  return await post('/system/tEnvFactor/updateAircaftComponents', data)
}

// 环境因子
export const queryTEnvFactorDetails = async (data) => {
  return await post('/system/tEnvFactorDetails/queryTEnvFactorDetails', data)
}

// 获取航材分类下航材`
export const getAvmatCategoriesTree = async (data) => {
  return await get('/basicdata/avmatcategories/getAvmatCategoriesTree', data)
}

export const getAvmatCatalog = async (data) => {
  return await post('/basicdata/avmatCatalog/getAvmatCatalog', data)
}

export const addTEnvFactorDetails = async (data) => {
  return await post('/system/tEnvFactorDetails/addTEnvFactorDetails', data)
}

export const deleteTEnvFactorDetails = async (data) => {
  return await post('/system/tEnvFactorDetails/deleteTEnvFactorDetails', data)
}

export const updateTEnvFactorDetails = async (data) => {
  return await post('/system/tEnvFactorDetails/updateTEnvFactorDetails', data)
}
